| GET | /RestApi/files-api |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class FilesGetRequest
{
open var Path:String? = null
open var Extension:String? = null
open var Skip:Int? = null
open var Take:Int? = null
}
open class FilesViewModel
{
open var Items:ArrayList<FilesItemViewModel>? = null
open var Error:String? = null
}
open class FilesItemViewModel
{
open var Name:String? = null
open var IsFolder:Boolean? = null
open var HasChildren:Boolean? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/files-api HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"Error":"String"}